~alpine/devel

[alpine-devel] [PATCH 1/4] various: use long-form apk options

Dubiousjim
Details
Message ID
<c89f2dc35e018d75a57ce6082db078f6971d9509.1372713126.git.dubiousjim@gmail.com>
Sender timestamp
1372713254
DKIM signature
missing
Download raw message
Patch: +22 -22
---
 libalpine.sh.in     | 8 ++++----
 setup-apkrepos.in   | 8 ++++----
 setup-bootable.in   | 4 ++--
 setup-disk.in       | 6 +++---
 setup-interfaces.in | 2 +-
 setup-keymap.in     | 6 +++---
 setup-ntp.in        | 2 +-
 setup-timezone.in   | 6 +++---
 setup-xen-dom0.in   | 2 +-
 9 files changed, 22 insertions(+), 22 deletions(-)

diff --git a/libalpine.sh.in b/libalpine.sh.in
index cbd87c5..adfacb6 100644
--- a/libalpine.sh.in
+++ b/libalpine.sh.in
@@ -52,13 +52,13 @@ init_tmpdir() {
 }
 
 pkg_inst() {
-	eecho "warning: pkg_inst is deprecated. Use 'apk add -q' in script"
-	[ -z "$NOCOMMIT" ] && apk add -q $*
+	eecho "warning: pkg_inst is deprecated. Use 'apk add --quiet' in script"
+	[ -z "$NOCOMMIT" ] && apk add --quiet $*
 }
 
 pkg_deinst() {
-	eecho "warning: pkg_deinst is deprecated. Use 'apk del -q' in script"
-	[ -z "$NOCOMMIT" ] && apk del -q $*
+	eecho "warning: pkg_deinst is deprecated. Use 'apk del --quiet' in script"
+	[ -z "$NOCOMMIT" ] && apk del --quiet $*
 }
 
 default_read() {
diff --git a/setup-apkrepos.in b/setup-apkrepos.in
index ab48471..8cb940f 100755
--- a/setup-apkrepos.in
+++ b/setup-apkrepos.in
@@ -154,8 +154,8 @@ done
 # main
 # install alpine-mirrors if its not already there
 to_uninstall=
-if ! apk info -q -e alpine-mirrors; then
-	apk add -q alpine-mirrors
+if ! apk info --quiet --installed alpine-mirrors; then
+	apk add --quiet alpine-mirrors
 	to_uninstall=alpine-mirrors
 fi
 
@@ -199,10 +199,10 @@ done
 
 if [ -n "$changed" ]; then
 	echo -n "Updating repository indexes... "
-	apk update -q && echo "done."
+	apk update --quiet && echo "done."
 fi
 
 # clean up
 if [ -n "$to_uninstall" ]; then
-	apk del -q alpine-mirrors
+	apk del --quiet alpine-mirrors
 fi
diff --git a/setup-bootable.in b/setup-bootable.in
index 2c16bc5..f1d48b2 100644
--- a/setup-bootable.in
+++ b/setup-bootable.in
@@ -7,7 +7,7 @@ cleanup() {
 	local i=
 	cd /
 	if [ -n "$uninstalls" ]; then
-		apk del -q syslinux
+		apk del --quiet syslinux
 	fi
 	sync
 	sleep 1
@@ -274,7 +274,7 @@ fi
 echo "Making $dest bootable..."
 
 if ! [ -x "$(which syslinux)" ]; then
-	apk add -q syslinux || die "Failed to install syslinux"
+	apk add --quiet syslinux || die "Failed to install syslinux"
 	uninstalls="syslinux"
 fi
 
diff --git a/setup-disk.in b/setup-disk.in
index 366ccdc..d3a4500 100644
--- a/setup-disk.in
+++ b/setup-disk.in
@@ -110,7 +110,7 @@ unpack_apkovl() {
 		return 0 
 	fi
 
-	apk add -q openssl
+	apk add --quiet openssl
 
 	if ! openssl list-cipher-commands | grep "^$suffix$" > /dev/null; then
 		errstr="Cipher $suffix is not supported"
@@ -387,7 +387,7 @@ stop_all_raid() {
 init_progs() {
 	local raidpkg=
 	[ -n "$USE_RAID" ] && raidpkg="mdadm"
-	apk add -q sfdisk e2fsprogs lvm2 $raidpkg syslinux $@
+	apk add --quiet sfdisk e2fsprogs lvm2 $raidpkg syslinux $@
 }
 
 show_disk_info() {
@@ -875,7 +875,7 @@ shift $(( $OPTIND - 1))
 
 if [ -d "$1" ]; then
 	# install to given mounted root
-	apk add -q syslinux
+	apk add --quiet syslinux
 	install_mounted_root "${1%/}" \
 		&& echo "You might need fix the MBR to be able to boot" >&2
 	exit $?
diff --git a/setup-interfaces.in b/setup-interfaces.in
index 54d861a..93ba427 100755
--- a/setup-interfaces.in
+++ b/setup-interfaces.in
@@ -468,7 +468,7 @@ prompt_for_interfaces() {
 	fi
 
 	if [ -n "$PKGS" ]; then
-		apk add -q $PKGS
+		apk add --quiet $PKGS
 	fi
 
 	mkdir -p $ROOT/etc/network
diff --git a/setup-keymap.in b/setup-keymap.in
index cf0b81e..faa68b5 100755
--- a/setup-keymap.in
+++ b/setup-keymap.in
@@ -73,15 +73,15 @@ select_variant() {
 
 goodbye() {
 	if [ $was_installed -ne 0 ]; then
-		apk del -q bkeymaps
+		apk del --quiet bkeymaps
 	fi
 	exit $1
 }
 
-apk info -eq bkeymaps
+apk info --quiet --installed bkeymaps
 was_installed=$?
 
-apk add -q bkeymaps
+apk add --quiet bkeymaps
 
 deflayout="$1"
 defvariant="$2"
diff --git a/setup-ntp.in b/setup-ntp.in
index 5f56f13..38887ce 100755
--- a/setup-ntp.in
+++ b/setup-ntp.in
@@ -46,7 +46,7 @@ openntpd)
 	;;
 esac
 
-apk add -q $pkgs
+apk add --quiet $pkgs
 rc-update add $svc default
 rc-service $svc start
 
diff --git a/setup-timezone.in b/setup-timezone.in
index 3caf0f5..41d4f16 100755
--- a/setup-timezone.in
+++ b/setup-timezone.in
@@ -51,8 +51,8 @@ while getopts "hp:z:" opt; do
         esac
 done
 
-if ! apk info -q -e tzdata; then
-	apk add -q tzdata && apkdel="tzdata" || exit 1
+if ! apk info --quiet --installed tzdata; then
+	apk add --quiet tzdata && apkdel="tzdata" || exit 1
 fi
 
 zonepath=$(cat /etc/TZ 2>/dev/null)
@@ -105,6 +105,6 @@ while true; do
 done
 
 if [ -n "$apkdel" ]; then
-	apk del -q $apkdel
+	apk del --quiet $apkdel
 fi
 
diff --git a/setup-xen-dom0.in b/setup-xen-dom0.in
index 0e7b3b3..a4dc965 100644
--- a/setup-xen-dom0.in
+++ b/setup-xen-dom0.in
@@ -10,7 +10,7 @@ for mod in xen_netback xen_blkback xenfs xen_pciback xen_wdt tun; do
 done
 
 # install packages
-apk add -q xen
+apk add --quiet xen
 
 # setup and start services
 for svc in xenstored xenconsoled xenqemu; do
-- 
1.8.3.1



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---